It's all about the answers!

Ask a question

What is the best way to upgrade from 3.0.1.4?


Mark Savage (11) | asked Dec 17 '19, 11:01 a.m.
If we were to upgrade our very old 3.0.1.4 version of CLM, what would be the best way to go about it? Theoretically we could upgrade through the versions up to 6, but would it be simpler to install version 6 and export/import the databases?

Would it be possible to do this? Do the in place upgrade steps make small changes to the database, which would mean that the same databases in use with version 3 could not be used directly with version 6?

Any advice would be very gratefully received.
Thanks

One answer



permanent link
Ralph Schoon (60.5k33643) | answered Dec 17 '19, 11:12 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
edited Dec 17 '19, 11:14 a.m.
  • You would have to upgrade from 3.0.1.4 (ideally to 3.0.1.6) to 4.0.7 (or whatever is the latest 4.x) - Follow the interactive upgrade guide for the latest ELM 4.x.
  • Then you have to upgrade from 4.x to 5.0.2 (or whatever latest 5.x) again, follow the interactive upgrade guide for the latest 5.x
  • Then you have to upgrade from 5.x to 6.0.6.1 (or whatever latest or preferred 6.x) again, follow the interactive upgrade guide for the latest 6.x
You can not use any database export/import and keep the data you want to. There is no shortcut available.

Your answer


Register or to post your answer.